#ifndef _TEST_ENTITY_H
#define _TEST_ENTITY_H

#include "world_entity.h"
#include "physics_interface.h"

class MD2Loader;
class MD2Model;
class MD2Model2;
struct t3DModel;
class Material;

class TestEntity : public WorldEntity, PhysicsInterface
{
  friend class World;

 public:
  TestEntity ();
  virtual ~TestEntity ();

  void setAnim(int animationIndex);

  virtual void tick (float time);
  virtual void hit (WorldEntity* weapon, Vector* loc);
  virtual void destroy ();
  virtual void collide (WorldEntity* other,  Uint32 ownhitflags, Uint32 otherhitflags);
  virtual void draw ();

 private:
  /* TESTING TESTING TESTING */
  t3DModel* model;
  MD2Model* md2Model;
  Material* material;

};

#endif /* _TEST_ENTITY_H */
